#ifndef __IUF_BULLET
#define __IUF_BULLET
/** This class represent a bullet fired by a ship.
		Please note the specialized redraw function and the TTL member */
class Bullet : public GameObj
{
	public:
	/// Minimal Constructor 
	Bullet(){ttl=1000;}
	/// Constructor with given position and direction
	Bullet(const Point3f &_p, const float _angle)
		:GameObj(_p,_angle){ttl=2000;}

	/// Constructur with given position and direction and velocity
  	Bullet(const Point3f &_p, const float _angle, const Point3f &_v)
			:GameObj(_p,_angle,_v){ttl=2000;}
	
/** Time To Live (expressed in msec).
Time that the object has before it disappear */
	int ttl;
	void Draw();
	void Update(int t)
	{
		ttl-=t;
		if(ttl<0) active=false;
		GameObj::Update(t);
	}
};

#endif